Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.appflow.processor
Class AbstractPortalPersonalizationProcessor

    java.lang.Object
      |
      +--com.bea.portal.appflow.processor.AbstractPortalProcessor
            |
            +--com.bea.portal.appflow.processor.AbstractPortalPersonalizationProcessor

Direct Known Subclasses:
  LogoutProcessor

public abstract class AbstractPortalPersonalizationProcessor
extends AbstractPortalProcessor

AbtractPortalPersonalization is a generic processor (input processor) used to assist processors that wish to mutate the PortalPersonalization.

Constructor Summary
`AbstractPortalPersonalizationProcessor()` Default constructor (called by webflow) - session sensitive as it calls `super(true)`.

Method Summary
`static MutablePortletPersonalization` | `getCurrentPortletPersonalization(PortalRequest portalRequest, MutablePortalPersonalization portalP13n)` Retrieve an instance of the current MutablePortletPersonalization.
`static MutablePortalPersonalization` | `getMutablePortalPersonalization(PortalRequest portalRequest)` Return an instance of the Mutable Portal Personalization.
`abstract java.lang.Object` | `process(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, PortalRequest portalRequest, MutablePortalPersonalization portalPersonalization, java.lang.Object requestContext)` Processors extending this class must provide an implementation for this method.
`java.lang.Object` | `process(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, PortalRequest portalRequest, java.lang.Object requestContext)` Process method called on by webflow.
`static void` | `setMutablePortalPersonalization(PortalRequest portalRequest, MutablePortalPersonalization portalP13n)` Persist the PortalPersonalization into the database.

Methods inherited from class com.bea.portal.appflow.processor.AbstractPortalProcessor
`getCurrentPortletState, process`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractPortalPersonalizationProcessor

    public AbstractPortalPersonalizationProcessor()

  Default constructor (called by webflow) - session sensitive as it calls `super(true)`.

Method Detail

### process

    public java.lang.Object process(javax.servlet.http.HttpServletRequest request,
                                    javax.servlet.http.HttpServletResponse response,
                                    PortalRequest portalRequest,
                                    java.lang.Object requestContext)
                             throws ProcessingException

  Process method called on by webflow. Don't override this method. This in turn will call

           public abstract Object process(HttpServletRequest request,
                                    HttpServletResponse response,
                                    PortalRequest portalRequest,
                                    MutablePortalPersonalization portalPersonalization,
                                    Object requestContext)

  Returns:
    return the results of the above subclasses process method.
  Throws:
    ProcessingException - as the subclasses process method can throw it.
  Overrides:
    process in class AbstractPortalProcessor

### process

    public abstract java.lang.Object process(javax.servlet.http.HttpServletRequest request,
                                             javax.servlet.http.HttpServletResponse response,
                                             PortalRequest portalRequest,
                                             MutablePortalPersonalization portalPersonalization,
                                             java.lang.Object requestContext)
                                      throws ProcessingException

  Processors extending this class must provide an implementation for this method.

  Throws:
    ProcessingException - per calling implementing subclass

### getMutablePortalPersonalization

    public static MutablePortalPersonalization getMutablePortalPersonalization(PortalRequest portalRequest)
                                                                        throws ProcessingException

  Return an instance of the Mutable Portal Personalization. Anonymous users will get a ProcessingException if calling this method.

  Throws:
    ProcessingException - if cannot get the profileIdentity from the PortalSession, or the could not get the MutablePortalPersonalization from the PortalManager

### setMutablePortalPersonalization

    public static void setMutablePortalPersonalization(PortalRequest portalRequest,
                                                       MutablePortalPersonalization portalP13n)
                                                throws ProcessingException

  Persist the PortalPersonalization into the database. Anonymous users will get a ProcessingException if calling this method.

  Throws:
    ProcessingException - if cannot get the profileIdentity from the PortalSession, or the could not update the MutablePortalPersonalization with the PortalManager

### getCurrentPortletPersonalization

    public static MutablePortletPersonalization getCurrentPortletPersonalization(PortalRequest portalRequest,
                                                                                 MutablePortalPersonalization portalP13n)
                                                                          throws ProcessingException

  Retrieve an instance of the current MutablePortletPersonalization.

  Returns:
    mutable PortletPersonalization.
  Throws:
    ProcessingException - if cannot get the PagePersonalization from the PortalPersonalization, or the could get the PortletPersonalization from the PagePersonalization.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved